package agent;

import features.Log;
import structures.ExpertData;
import jade.core.behaviours.OneShotBehaviour;
import jade.domain.DFService;
import jade.domain.FIPAException;
import jade.domain.FIPAAgentManagement.DFAgentDescription;
import jade.domain.FIPAAgentManagement.ServiceDescription;


public class AgentManager {


	public static ExpertAgent agent;

	public static void setAgent(ExpertAgent agent) {
		AgentManager.agent = agent;
	}
	
	public static void setExpert(ExpertData expert){
		agent.setExpert(expert);
	}

	public static ExpertAgent getAgent() {
		return agent;
	}


	public static void deleteAgent() {
		Log.logp(agent, "deleting myself");
		agent.doDelete();
	}


}
